Sign inGet started

List attribute definitions

GET
/workspaces/{workspaceId}/attribute-definitions
This endpoint will return a list of attribute definitions in the schema.
查询参数
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
响应载荷
results
array of object
必填
显示子属性
results.id
string
The UUID, primarily for internal reference
results.key
string
A user-specified key, primarily for client reference.
results.displayName
string
A human-readable name of the attribute.
results.description
string
A user-friendly description of the attribute.
results.cardinality
string
The cardinality configures how many values belong to the single key.
Possible values: one, many
results.type
string
The data type of the attribute.
Possible values: boolean, datetime, number, string
results.format
object
显示子属性
results.format.type
string
必填
Possible values: emailAddress
results.pii
boolean
A flag to indicate whether this attribute is considered personally identifiable information.
results.readOnly
boolean
A flag to indicate whether this attribute may be updated after creation.
results.builtin
boolean
A flag to indicate whether this attribute is built-in. Built-in attributes are system-defined and cannot be updated or deleted by end-users.
results.archived
boolean
A flag to indicate whether this attribute is archived.
results.indexMapping
object
显示子属性
results.indexMapping.fields
array of object
显示子属性
results.indexMapping.fields.name
string
results.indexMapping.fields.analyzer
string
Possible values: simple, standard, web, keyword, en, emailDomain, dayOfYear
results.indexMapping.fields.type
string
Possible values: string
results.createdAt
string
results.updatedAt
string
results.version
number
The version number of the attribute definition.
results.acl
array of object
An array of ACLs that define the access control for this attribute
显示子属性
results.acl.roleId
string
The UUID role ID
results.acl.read
boolean
A flag to indicate role read access
results.acl.write
boolean
A flag to indicate role write access
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/attribute-definitions' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd

List the attributes

In this example, we're listing all attribute definitions from a given workspace.
代码示例
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/attribute-definitions" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \